Subject: Re: [RFC/PATCH 0/1] cygwin: Remove the Win32 l/stat() functions

From: Torsten Bögershausen <[email-masked]>
Date: Thu, 27 Jun 2013 17:19:14 +0200

On 2013-06-26 23.54, Ramsay Jones wrote:
> Torsten Bögershausen wrote:
>> On 2013-06-25 23.18, Junio C Hamano wrote:
>>> Johannes Sixt <[email-masked]> writes:
>>>
>>>> Some context: This is about a patch by Ramsay that removes the
>>>> "schizophrenic lstat" hack for Cygwin. Junio, can you please queue that
>>>> patch in pu?
>>>
>>> Sure.  Thanks.
>>
>> First of all,
>> thanks for the work.
>>
>> Here some "benchmark" results, 
>> (The test run of the test suite did the same amout of time).
> 
> The test suite runs noticeably faster for me.
> 
>>
>> But:
>> git status -uno in real life takes double the time,
>> git 1.8.3 compared against "pu with the vanilla l/stat"
>>    
>>     1 second ->  2 seconds on linux kernel
>> 0.2 seconds -> 0.4 seconds on git.git 
> 
> Hmm, OK, I guess I will have to try something else. Sigh :(
> 
>> Do we have any known problems with the current implementation ?
> 
> Yes. The next branch is currently broken. (see reply to Junio)
> 
>> Does speed matter ?
>>
>> One vote to keep the special cygwin functions.
>> (And have a look how to improve the core.filemode)
> 
> I don't understand this (parenthetical) comment; could you
> elaborate on this.
> 
> ATB,
> Ramsay Jones
This is probably wrong information:
I had in mind that cygwin sets core.filemode=false,
which is quite annoying when exchanging .sh files with linux.
But that seems to be wrong, a quick test shows that core.filemode=true.
Sorry for confusion.